# based on https://gist.githubusercontent.com/sedrubal/617d40deb7452a25d004/raw/828316add9f3e6565ae485d0ca1bdb57edf78910/cava.spec

%global gitdate 20160413
%global commit0 6ed338701960eb326c734a2a4f5bcbf003bfe7c9

%global srcurl https://github.com/karlstav/%{name}
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7} )

Name:       cava
Version:    0.4.1

Summary:    Console-based Audio Visualizer for Alsa

License:    MIT
URL:        https://karlstav.github.io/%{name}

%if 0%{?gitdate}
Release:    1.%{gitdate}git%{shortcommit0}%{?dist}
Source0:    %{srcurl}/archive/%{commit0}.tar.gz#/%{name}-%{commit0}.tar.gz
%else
Release:    1%{?dist}
Source0:    %{srcurl}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
%endif
Patch0:     %{name}-nogit.patch

BuildRequires: automake autoconf libtool

BuildRequires: alsa-lib-devel
BuildRequires: ncurses-devel
BuildRequires: fftw-devel > 3
#BuildRequires: iniparser-devel
BuildRequires: chrpath

%description
C.A.V.A. is a bar spectrum analyzer for audio using ALSA
for input. Its frequency range is limited to 50-10,000Hz.
The human ear can hear from 20 up to 20,000 Hz (and probably
"sense" even higher frequencies), but the frequencies between
50-10,000Hz seem to me to be the most distinguishable.
(Telephones used to be limited to as low as 8kHz.)

%package iniparser
Summary:       Iniparser library for %{name}
Provides:      bundled(iniparser) = 4.0
Conflicts:     iniparser

%description iniparser
The %{name}-iniparser package contains a special version of the
iniparser library to use %{name}.

%package iniparser-devel
Summary:       Development files for %{name}
Requires:      %{name}-iniparser = %{version}-%{release}

%description iniparser-devel
The %{name}-iniparser-devel package contains libraries and header
files for developing applications that use %{name}.


%prep
%if 0%{?gitdate}
%autosetup -p1 -n%{name}-%{commit0}
# no git command
sed -i -r 's:COMMIT:%{shortcommit0}:' configure.ac
# FIXME unbundle
#export SYSTEM_LIBINIPARSER=1
./autogen.sh
%else
%setup -q
%endif

%build
%configure --enable-static=no
%make_build VERSION=%{version}

%install
%make_install
chrpath --delete %{buildroot}%{_bindir}/%{name}


%files
%doc example_files/
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%files iniparser
%license iniparser/LICENSE
%doc iniparser/AUTHORS iniparser/README.md
%{_libdir}/libiniparser.so.*
%exclude %{_libdir}/libiniparser.la

%files iniparser-devel
%{_libdir}/libiniparser.so


%changelog
* Tue Jun 14 2016 Raphael Groner <projects.rg@smart.ms> - 0.4.1-1
- prepare for packaging
- new version, use git snapshot
- try to unbundle iniparser, currently subpackage only with v4.0

* Tue Oct 27 2015 sedrubal <sebastian.endres@online.de> - 0.3.5-1
- First build
